Bug 2214156 - CVE-2023-34474 ImageMagick: heap-based buffer overflow in ReadTIM2ImageData() function in coders/tim2.c [epel-8]
Summary: CVE-2023-34474 ImageMagick: heap-based buffer overflow in ReadTIM2ImageData()...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ImageMagick
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-34474
TreeView+ depends on / blocked
 
Reported: 2023-06-12 05:58 UTC by TEJ RATHI
Modified: 2023-08-31 00:32 UTC (History)
9 users (show)

Fixed In Version: ImageMagick-6.9.12.93-1.el8 ImageMagick-6.9.12.93-1.el9
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-31 00:31:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2023-06-12 05:58:18 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2214148

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 TEJ RATHI 2023-06-12 05:58:22 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2214148,2214156

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-08-22 15:01:24 UTC
FEDORA-EPEL-2023-7a43301d55 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-7a43301d55

Comment 3 Fedora Update System 2023-08-22 15:04:40 UTC
FEDORA-EPEL-2023-5120258393 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-5120258393

Comment 4 Fedora Update System 2023-08-23 00:23:45 UTC
FEDORA-EPEL-2023-7a43301d55 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-7a43301d55

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-08-23 00:33:14 UTC
FEDORA-EPEL-2023-5120258393 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-5120258393

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-08-31 00:31:33 UTC
FEDORA-EPEL-2023-5120258393 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-08-31 00:32:19 UTC
FEDORA-EPEL-2023-7a43301d55 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.